Issue #366 new

Test fails to compile/run with distribute 0.6.36 on Python 2.4

Felix Krull
created an issue

Running (or in my case byte-compiling) the tests fails on Python 2.4:

Compiling /usr/lib/python2.4/site-packages/setuptools/tests/test_easy_install.py ...
  File "/usr/lib/python2.4/site-packages/setuptools/tests/test_easy_install.py", line 315
    finally:
          ^
SyntaxError: invalid syntax

That file uses a try...except...finally construction which is not supported in Python 2.4.

Comments (0)

  1. Log in to comment